<?php

    /**
     * User: Daschmi (daschmi@daschmi.de)
     * Date: 26.09.2018
     * Time: 13:29
     */
           
    class wpsg_calculationTestTest extends \PHPUnit_Framework_TestCase {

        /**
         * @beforeClass
         */
        public function setupSomeFixtures()
        {

            session_start();

            error_reporting(E_ERROR);
            ini_set("display_errors", "1");

            require_once(dirname(__FILE__).'/../../../../../wp-load.php');
            require_once(dirname(__FILE__).'/../../wpshopgermany.php');
            
        }
        
        /** 
         * @runInSeparateProcess
         */
        public function testBasket1Test() {

            
            
            $b = new \wpsg\wpsg_calculation();
            
            $b->setCountry(\wpsg_country::getInstance(1));
            
            $b->addProduct('1', 0, '100', '1','c');
            $b->addProduct('1', 1, '100', '1','b');
            $b->setShipping('1', '100', '0');
            $b->setPayment('1', '100', 'c_1');
            
            $ar = $b->getCalculationArray();
            
            $this->assertEquals(
                400,
                $ar['sum']['sum_netto']                
            );

            $this->assertEquals(
                460,
                $ar['sum']['sum_brutto']                
            );
            
        }

        /**  
         * @runInSeparateProcess
         */
        public function testBasket2Test() {
 
            $b = new \wpsg\wpsg_calculation();

            $b->setCountry(\wpsg_country::getInstance(1));

            $b->addProduct('1', 0, '100', '1','c');
            $b->addProduct('1', 1, '100', '1','b');
            $b->setShipping('1', '100', '0');
            $b->setPayment('1', '100', 'c_1');

            $ar = $b->getCalculationArray();

            $this->assertEquals(
                400,
                $ar['sum']['sum_netto']
            );

            $this->assertEquals(
                460,
                $ar['sum']['sum_brutto']
            );

        }

    }
